Package org.apache.lucene.search

## Class BooleanQuery.TooManyClauses

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.lucene.search.IndexSearcher.TooManyClauses
        - - org.apache.lucene.search.BooleanQuery.TooManyClauses

- All Implemented Interfaces:
    `Serializable`
  Enclosing class:
    BooleanQuery

      @Deprecated
      public static class BooleanQuery.TooManyClauses
      extends IndexSearcher.TooManyClauses

  Deprecated.
  use `IndexSearcher.TooManyClauses`
  Thrown when an attempt is made to add more than `IndexSearcher.TooManyClauses.getMaxClauseCount()` clauses. This typically happens if a PrefixQuery, FuzzyQuery, WildcardQuery, or TermRangeQuery is expanded to many terms during search.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TooManyClauses()` | Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.search.IndexSearcher.TooManyClauses

      `getMaxClauseCount`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TooManyClauses

          public TooManyClauses()

      Deprecated.